/**
 *******************************************************************************
 * @file    main.h
 * @brief   The header file of IGBT One PPG for the TOSHIBA 'TMPM462' 
 *          Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#include "tmpm462_igbt.h"
#include "tmpm462_gpio.h"
#include "led.h"

/* For M462:fperiph = fc = 16MHz*6 = 96MHz, T0 = fperiph = 96MHz, figbt = T0/2 = 48MHz */
#define IGBT_PPG_PERIOD_50US    ((uint16_t)1500)

void IGBT_IO_Configuration(TSB_MT_TypeDef * IGBTx, IGBT_InitTypeDef * InitTypeDef);

#endif                          /* __MAIN_H */
